Locale::Po4a::Docbook(3pm)

NAAM
Locale::Po4a::Docbook - DocBook XML-documenten van/naar PO-bestanden converteren

BESCHRIJVING
Het doel van het project po4a (PO voor alles) is om de vertaalwerkzaamheden (en interessanter nog, het onderhoud van vertalingen) te vergemakkelijken met behulp van gettext-hulpmiddelen in domeinen waarin deze niet meteen verwacht worden, zoals documentatie.

Locale::Po4a::Docbook is een module ter ondersteuning van de vertaling van DocBook XML-documenten naar andere [menselijke] talen.

STATUS VAN DEZE MODULE
Deze module is volledig operationeel omdat ze steunt op de module Locale::Po4a::Xml. Deze module definieert enkel de vertaalbare tags en attributen.

Het enige bekende probleem is dat het nog geen entiteiten verwerkt. Dit omvat ook de entiteiten voor het insluiten van bestanden, maar u kunt de meeste van deze bestanden apart vertalen (behalve de typische entiteiten-bestanden) en het is meestal beter om ze apart te onderhouden.

MET COMMANDOREGELOPTIES HET STANDAARDGEDRAG OVERSTIJGEN
Het standaardgedrag van de door het systeem geleverde modules staat voorzichtig ingesteld.

De standaardinstelling voor de B << <author> >> -tag is dat deze wordt weergegeven onder B << <para> >>. Maar misschien gebruikt u het alleen onder B << <bookinfo> >>. In dat geval wilt u het misschien voor elke auteur afzonderlijk vertalen.

Indien het standaardgedrag van de xml-module en de ervan afgeleide modules u niet bevalt, kunt u commandoregelopties gebruiken om dat gedrag aan te passen. U kunt bijvoorbeeld het volgende toevoegen aan het po4a configuratiebestand:

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

Dit overschrijft het standaardgedrag voor B << <bookinfo> >> en B << <author> >>, stelt B << <bookinfo> >> en B << <author> >> in om de invoergegevensstroom op deze tags te onderbreken, stelt B << <bookinfo> >> in om de getagde inhoud niet te vertalen en stelt B << <author> >> in om de getagde inhoud te vertalen.

ZIE OOK
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTEURS
 Jordi Vilalta <jvprat@gmail.com>

COPYRIGHT EN LICENTIE
 Copyright © 2004 Jordi Vilalta  <jvprat@gmail.com>
 Copyright © 2007-2009 Nicolas François <nicolas.francois@centraliens.net>

Dit programma is vrije software; u kunt het verder verspreiden en/of aanpassen onder de bepalingen van de GPL (zie het bestand COPYING).